#include<stdio.h>
#include<math.h>
main()
{
int i=0,j=1,s=0,b,n,temp,min,max,k;
scanf("%d",&n);
int a[n];
for(i=0;i<n;i++)scanf("%d",&a[i]);
i=0;
if(n<=2)
{
	temp=a[i];
	a[i]=a[i+1];
	a[i+1]=temp;
	goto Zadnja;	
}
else
{
for(i=0;i<n;i++)
{
	max=a[i];
	min=a[i];
	b=i;
	k=i;
	for(j=i+1;j<n;j++)
	{
		if(a[j]>max)
		{
			max=a[j];
			k=j;
		}
	}
	if(a[i]!=max)
	{
		temp=a[i];
		a[i]=a[k];
		a[k]=temp;
		goto Zadnja;
	}
}
for(i=0;i<n;i++)
for(j=i+1;j<n;j++)
if(a[i]==a[j])goto Zadnja;
temp=a[n-2];
a[n-2]=a[n-1];
a[n-1]=temp;
}
Zadnja:;
for(i=0;i<n;i++)
printf("%d ",a[i]);
}